{
	saved_FirstTime [1]

	Init[ ()
	{
		SetNationality(0);

		if (saved_FirstTime = 1)
		{
			SetRunning();
			PlayAnimation(7);
			SetHealth(256);
			GiveWeapon(43);
			SetInvulnerable(true);

			saved_FirstTime = 0;
		}

		DropWeaponOnDeath(true);

	}]

	DelayReached[ (go)
	{
		xPos = Random(25696, 28800);
		yPos = Random(2688, 13184);
		zPos = 160;

		if(go = 10)
		{
			Level.Log("Delay break 10");
			Level.GetPlayer().SetFrozen(0);
			StopTurnTo();
			GoTo();
		}
		if(go = 20)
		{
			Level.Log("Delay break 20");
			Bucky = Level.GetPlayer();
			Level.GetPlayer().SetFrozen (1);
			TurnTo(Bucky);
			Level.GetPlayer().PlaySound (134);
			Delay (2, 50);
		}
		if(go = 30)
		{
			StopTurnTo();
			Tree = Level.GetEntity("Ftree2");
			TurnToEntity (Tree);
			GoPatrol();
			Level.GetPlayer ().SetFrozen (0);
			Level.AdvanceObjectives(0);
		}
		if( go = 40 )
		{
			if(Level.saved_Enable_BombsAway = 1 )
			{
				BombsAway(xPos,yPos,zPos);
			}
		}
		if( go = 50 )
		{
			StopTurnTo();
			PlayAnimation(7);
			TurnToLocation( 26240, 23978);
			// I just added this.
			Level.AdvanceObjectives(0);
			Level.GetPlayer ().SetFrozen (0);
			Level.saved_Enable_BombsAway = 1;
		}
		if ( go = 100 )
		{
			Level.LoadLevel("S_BOM2");
		}
		if ( go = 150 )
		{
			Level.Log("am I here?");
			if(Level.saved_EnableKillzone = 1)
			{
				Level.Log("Why arent bombs falling?");
				BombsAway2(xPos,yPos,zPos);
			}
		}
		if ( go = 200 )
		{
			Level.Victory();
			Delay(8, 100);	
		}
	}]

	GiveInstructions[ (mode)
	{
		Level.Log ("--> GiveInstructions()");
		Level.Log (" GI Break	1");
		Bucky = Level.GetPlayer();
		PlayAnimation(7);


		if (mode = 1)
		{
			Level.Log (" GI Break	2");
			TurnTo(Bucky);
			Level.GetPlayer().PlaySound (136);
			Delay(4, 10);
		}
		if (mode = 2)
		{
			Level.Log (" GI Break	3");
			Level.GetPlayer().PlaySound (137);
			Delay(3, 20);
		}
	}]

	GoPatrol [()
	{
		Level.Log ("--> GoPatrol()");
		SetAttackDistance(13, 7);
		SetState_Patrol(0);
		SetLineOfSight(0);
		SetWander(0);
	}]

	GoTo[ ()
	{
		Level.Log ("--> GoTo()");
		FollowPath("sgt_path", 0);
		FollowPathCallback(127, "PlayAnimation", 7);
		FollowPathCallback(127, "GoPatrol");
	}]

	DoTanks[()
	{
		SetPosition( 23472, 20240, -647);
		FollowPath("sgt_path2", 0);
		FollowPathCallback(127, "SetState_Idle");
	}]

	DoWave[()
	{
		TurnTo(Level.GetPlayer());
		PlayAnimation (29, 2);
		Level.GetPlayer().PlaySound (133);
	}]
	DoFaust[()
	{
		PlayAnimation (7);
		Level.GetPlayer().PlaySound (131);
		Delay(5, 30);
	}]

	BombsAway[ (xPos, yPos, zPos)
	{
		Level.GetPlayer().PlaySound(3,100,true);
		Level.CreateEffect(55,61,0,xPos,yPos,zPos,128,14,72,72);

		Level.GetPlayer().ShakeHere( xPos, yPos );
		Level.GetPlayer().DamageHere( xPos, yPos, 1500, 8);

		Delay( Random(1,2), 40);
	}]
	BombsAway2[ (xPos, yPos, zPos)
	{
		Level.GetPlayer().PlaySound(3,100,true);
		Level.CreateEffect(55,61,0,xPos,yPos,zPos,128,14,72,72);

		Level.GetPlayer().ShakeHere( xPos, yPos );
		Level.GetPlayer().DamageHere( xPos, yPos, 1500, 8 );

		Delay( Random(1,2), 150);
	}]
	DoVictory[ ()
	{
		Level.GetPlayer().PlaySound (132);
		Delay(3, 200);
	}]
	DoSummon[ ()
	{
		Level.GetPlayer().PlaySound (135);
	}]
}